Package com.datecs.fiscalprinter.SDK

# Interface FiscalErrorCodesV2

All Known Implementing Classes:
  `FiscalException`

    public interface FiscalErrorCodesV2

Common interface describing Datecs Ltd. device error which can be reported

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static int` | `_ERR_FP_BAD_PARAM_BEGIN` |
  `static int` | `_ERR_FP_BAD_PARAM_END` |
  `static int` | `_ERR_FP_SYNTAX_PARAM_BEGIN` |
  `static int` | `_ERR_FP_SYNTAX_PARAM_END` |
  `static int` | `_ERR_RANGE_CM_BEGIN` |
  `static int` | `_ERR_RANGE_CM_END` |
  `static int` | `_ERR_RANGE_EM_BEGIN` |
  `static int` | `_ERR_RANGE_EM_END` |
  `static int` | `ERR_ABORTED` |
  `static int` | `ERR_ACCESS_DENIED` |
  `static int` | `ERR_BAD_DATA_LENGTH` |
  `static int` | `ERR_BAD_INPUT` |
  `static int` | `ERR_CANCELLED` |
  `static int` | `ERR_CANNOT_ADD_TO_EJ` |
  `static int` | `ERR_CERT_FILE_READ` |
  `static int` | `ERR_CERT_FILE_WRITE` |
  `static int` | `ERR_CERT_NOT_FOUND` |
  `static int` | `ERR_CERT_UNPACKING_FAILED` |
  `static int` | `ERR_CERT_WRONG_PASSWORD` |
  `static int` | `ERR_CHECKSUM` |
  `static int` | `ERR_CM_COM_ERROR` |
  `static int` | `ERR_CM_COM_TIMEOUT` |
  `static int` | `ERR_CM_DISCONNECTED` |
  `static int` | `ERR_CM_UNEXPECTED_RESPONSE` |
  `static int` | `ERR_CM_WRONG_ID_NUMBERS` |
  `static int` | `ERR_CONNECTION_INIT` |
  `static int` | `ERR_CONNECTION_INIT_REPOSITORY` |
  `static int` | `ERR_CONNECTION_NO_GPRS` |
  `static int` | `ERR_CONNECTION_WRONG_ANSWER_FORMAT` |
  `static int` | `ERR_CONNECTION_WRONG_PARAMS` |
  `static int` | `ERR_DEVICE_ADMIN_ONLY` |
  `static int` | `ERR_DEVICE_ALREADY_FISCALIZED` |
  `static int` | `ERR_DEVICE_COMM_ERROR` |
  `static int` | `ERR_DEVICE_DAY_IS_CLOSED` |
  `static int` | `ERR_DEVICE_DAY_IS_OPEN` |
  `static int` | `ERR_DEVICE_IN_SERVICE_MODE` |
  `static int` | `ERR_DEVICE_INVALID_DATA` |
  `static int` | `ERR_DEVICE_NOT_FISCALIZED` |
  `static int` | `ERR_DEVICE_PASSED_SERVICE_DATE` |
  `static int` | `ERR_DEVICE_STFLAG_ACTIVE` |
  `static int` | `ERR_DEVICE_WRONG_NUMBERS` |
  `static int` | `ERR_DEVICE_WRONG_STRUCT` |
  `static int` | `ERR_DISCDB_BARCODE_EXISTS` |
  `static int` | `ERR_DISCDB_DISCCODE_EXISTS` |
  `static int` | `ERR_DISCDB_FULL` |
  `static int` | `ERR_DISCDB_NOT_FOUND` |
  `static int` | `ERR_DISPLAY_DISCONNECTED` |
  `static int` | `ERR_DT_BLOCKED` |
  `static int` | `ERR_DT_CANT_CANCEL_TICKET` |
  `static int` | `ERR_DT_INCORRECT_REQUEST_DATA` |
  `static int` | `ERR_DT_INVALID_CONFIGURATION` |
  `static int` | `ERR_DT_INVALID_LOGIN_PASSWORD` |
  `static int` | `ERR_DT_INVALID_REQUEST_NUMBER` |
  `static int` | `ERR_DT_INVALID_RETRY_REQUEST` |
  `static int` | `ERR_DT_INVALID_TOKEN` |
  `static int` | `ERR_DT_NOT_ENOUGH_CASH` |
  `static int` | `ERR_DT_OK` |
  `static int` | `ERR_DT_OPEN_SHIFT_TIMEOUT_EXPIRED` |
  `static int` | `ERR_DT_PROTOCOL_ERROR` |
  `static int` | `ERR_DT_SERVICE_TEMPORARILY_UNAVAILABLE` |
  `static int` | `ERR_DT_SSL_IS_NOT_ALLOWED` |
  `static int` | `ERR_DT_UNKNOWN_COMMAND` |
  `static int` | `ERR_DT_UNKNOWN_ERROR` |
  `static int` | `ERR_DT_UNKNOWN_ID` |
  `static int` | `ERR_DT_UNSUPPORTED_COMMAND` |
  `static int` | `ERR_ECRSRV_FORBIDEN` |
  `static int` | `ERR_ECRSRV_NO_SOCKET_OPENED` |
  `static int` | `ERR_ECRSRV_NOT_SEND` |
  `static int` | `ERR_ECRSRV_RECV_TMOUT` |
  `static int` | `ERR_ECRSRV_SET_IS_NOT_TAKEN` |
  `static int` | `ERR_ECRSRV_SOCKET_CLOSED` |
  `static int` | `ERR_ECRSRV_UNKNOWN` |
  `static int` | `ERR_ECRSRV_WRONG_PARAM` |
  `static int` | `ERR_EJ_ALREADY_SIGNED` |
  `static int` | `ERR_EJ_BAD_RECORDS` |
  `static int` | `ERR_EJ_CAN_NOT_GENERATE_MAC` |
  `static int` | `ERR_EJ_FULL` |
  `static int` | `ERR_EJ_IMMPOSSIBLE_TO_CHK_MAC_RECORD` |
  `static int` | `ERR_EJ_NEAR_FULL` |
  `static int` | `ERR_EJ_NO_RECORDS` |
  `static int` | `ERR_EJ_NOT_FROM_THIS_DEVICE` |
  `static int` | `ERR_EJ_NOT_READY` |
  `static int` | `ERR_EJ_WRONG_FORMAT` |
  `static int` | `ERR_EJ_WRONG_MAC_RECORD` |
  `static int` | `ERR_EJ_WRONG_TYPE_TO_SIGN` |
  `static int` | `ERR_END_OF_DATA` |
  `static int` | `ERR_FILE_MANIPULATE` |
  `static int` | `ERR_FILE_UNPACK` |
  `static int` | `ERR_FIRMDB_EIK_EXISTS` |
  `static int` | `ERR_FIRMDB_FIRMCODE_EXISTS` |
  `static int` | `ERR_FIRMDB_FULL` |
  `static int` | `ERR_FIRMDB_NOT_FOUND` |
  `static int` | `ERR_FLASH_ERROR` |
  `static int` | `ERR_FLASH_WRONG_ID` |
  `static int` | `ERR_FLASH_WRONG_SIZE` |
  `static int` | `ERR_FM_BLOCK_IS_EMPTY` |
  `static int` | `ERR_FM_BLOCKED` |
  `static int` | `ERR_FM_BUSY` |
  `static int` | `ERR_FM_EMPTY_RANGE` |
  `static int` | `ERR_FM_ERROR` |
  `static int` | `ERR_FM_FAILURE` |
  `static int` | `ERR_FM_FULL` |
  `static int` | `ERR_FM_MAX_NUMBER` |
  `static int` | `ERR_FM_NEED_UPDATE` |
  `static int` | `ERR_FM_NEW_MODULE` |
  `static int` | `ERR_FM_NOT_CONNECTED` |
  `static int` | `ERR_FM_NOT_EMPTY` |
  `static int` | `ERR_FM_NOT_EQUAL` |
  `static int` | `ERR_FM_WRITE_PROTECTED` |
  `static int` | `ERR_FM_WRONG_ADDRESS` |
  `static int` | `ERR_FM_WRONG_CHECK_SUM` |
  `static int` | `ERR_FM_WRONG_RANGE` |
  `static int` | `ERR_FM_WRONG_SIZE` |
  `static int` | `ERR_FMNUMBER_IS_EMPTY` |
  `static int` | `ERR_FORBIDEN` |
  `static int` | `ERR_FP_BAD_PARAM_1` |
  `static int` | `ERR_FP_BAD_PARAM_10` |
  `static int` | `ERR_FP_BAD_PARAM_11` |
  `static int` | `ERR_FP_BAD_PARAM_12` |
  `static int` | `ERR_FP_BAD_PARAM_13` |
  `static int` | `ERR_FP_BAD_PARAM_14` |
  `static int` | `ERR_FP_BAD_PARAM_15` |
  `static int` | `ERR_FP_BAD_PARAM_16` |
  `static int` | `ERR_FP_BAD_PARAM_2` |
  `static int` | `ERR_FP_BAD_PARAM_3` |
  `static int` | `ERR_FP_BAD_PARAM_4` |
  `static int` | `ERR_FP_BAD_PARAM_5` |
  `static int` | `ERR_FP_BAD_PARAM_6` |
  `static int` | `ERR_FP_BAD_PARAM_7` |
  `static int` | `ERR_FP_BAD_PARAM_8` |
  `static int` | `ERR_FP_BAD_PARAM_9` |
  `static int` | `ERR_FP_COMMAND_NOT_PERMITTED` |
  `static int` | `ERR_FP_COVER_IS_OPEN` |
  `static int` | `ERR_FP_INVALID_COMMAND` |
  `static int` | `ERR_FP_INVALID_SYNTAX` |
  `static int` | `ERR_FP_NEEDED_MODE_PC` |
  `static int` | `ERR_FP_NO_PAPER` |
  `static int` | `ERR_FP_OVERFLOW` |
  `static int` | `ERR_FP_PRINTER_FAILURE` |
  `static int` | `ERR_FP_SYNTAX_PARAM_1` |
  `static int` | `ERR_FP_SYNTAX_PARAM_10` |
  `static int` | `ERR_FP_SYNTAX_PARAM_11` |
  `static int` | `ERR_FP_SYNTAX_PARAM_12` |
  `static int` | `ERR_FP_SYNTAX_PARAM_13` |
  `static int` | `ERR_FP_SYNTAX_PARAM_14` |
  `static int` | `ERR_FP_SYNTAX_PARAM_15` |
  `static int` | `ERR_FP_SYNTAX_PARAM_16` |
  `static int` | `ERR_FP_SYNTAX_PARAM_2` |
  `static int` | `ERR_FP_SYNTAX_PARAM_3` |
  `static int` | `ERR_FP_SYNTAX_PARAM_4` |
  `static int` | `ERR_FP_SYNTAX_PARAM_5` |
  `static int` | `ERR_FP_SYNTAX_PARAM_6` |
  `static int` | `ERR_FP_SYNTAX_PARAM_7` |
  `static int` | `ERR_FP_SYNTAX_PARAM_8` |
  `static int` | `ERR_FP_SYNTAX_PARAM_9` |
  `static int` | `ERR_FP_WRONG_DATE_TIME` |
  `static int` | `ERR_HARDWARE_CONFIGURATION` |
  `static int` | `ERR_HEADER_IS_EMPTY` |
  `static int` | `ERR_IAP` |
  `static int` | `ERR_IDNUMBER_IS_EMPTY` |
  `static int` | `ERR_INVALID_CERTIFICATE` |
  `static int` | `ERR_INVALID_DATA` |
  `static int` | `ERR_INVALID_FORMAT` |
  `static int` | `ERR_INVALID_MSG_FILE` |
  `static int` | `ERR_INVALID_TIME` |
  `static int` | `ERR_IO` |
  `static int` | `ERR_LOW_BATTERY` |
  `static int` | `ERR_LOW_BATTERY_WARNING` |
  `static int` | `ERR_LTP_BZLCLMP` |
  `static int` | `ERR_LTP_BZLPDEC` |
  `static int` | `ERR_LTP_CHARGE_MODE` |
  `static int` | `ERR_LTP_CUTERR` |
  `static int` | `ERR_LTP_HDSENS` |
  `static int` | `ERR_LTP_INZERR_MODE` |
  `static int` | `ERR_LTP_MKSENS` |
  `static int` | `ERR_LTP_MOTOR_OVERRUN` |
  `static int` | `ERR_LTP_NESENS` |
  `static int` | `ERR_LTP_PESENS` |
  `static int` | `ERR_LTP_PR_BUSY` |
  `static int` | `ERR_LTP_PR_ERR` |
  `static int` | `ERR_LTP_STHERR` |
  `static int` | `ERR_LTP_SVPERR` |
  `static int` | `ERR_LTP_VCCERR` |
  `static int` | `ERR_MODEM_ATTACH` |
  `static int` | `ERR_MODEM_CELL_FOUND` |
  `static int` | `ERR_MODEM_CELL_NOTFOUND` |
  `static int` | `ERR_MODEM_CONFIG` |
  `static int` | `ERR_MODEM_CONNECT_AP` |
  `static int` | `ERR_MODEM_CTRL` |
  `static int` | `ERR_MODEM_LOT_DAYS_FAIL` |
  `static int` | `ERR_MODEM_NO_SIM` |
  `static int` | `ERR_MODEM_NOTREADY` |
  `static int` | `ERR_MODEM_PIN` |
  `static int` | `ERR_MODEM_PPP` |
  `static int` | `ERR_MODEM_REMOVE_SIM` |
  `static int` | `ERR_MODEM_WAIT_INIT` |
  `static int` | `ERR_NAP_BLOCKED_24H` |
  `static int` | `ERR_NAP_BLOCKED_72H` |
  `static int` | `ERR_NAP_BLOCKED_BY_SERVER` |
  `static int` | `ERR_NAP_BLOCKED_ERROR_FROM_SERVER` |
  `static int` | `ERR_NAP_BLOCKED_MAX_SELLERRORS` |
  `static int` | `ERR_NAP_BLOCKED_MAX_ZERRORS` |
  `static int` | `ERR_NAP_BLOCKED_NO_MODEM_LAN` |
  `static int` | `ERR_NAP_BUSY` |
  `static int` | `ERR_NAP_DEREG_ON_SERVER` |
  `static int` | `ERR_NAP_EMPTY_DATA` |
  `static int` | `ERR_NAP_EXCEPTION` |
  `static int` | `ERR_NAP_HOSTDI_ZERRO` |
  `static int` | `ERR_NAP_INVALID_OPERATOR_INN` |
  `static int` | `ERR_NAP_INVALID_SERVER_INN` |
  `static int` | `ERR_NAP_NEGATIVE_ANSWER` |
  `static int` | `ERR_NAP_NO_REGISTRATIONS_POSSIBLE` |
  `static int` | `ERR_NAP_NO_SERVER_ADDRESS` |
  `static int` | `ERR_NAP_NOTPERSONALIZED` |
  `static int` | `ERR_NAP_NOTREGISTERED` |
  `static int` | `ERR_NAP_OPEN_SESSION` |
  `static int` | `ERR_NAP_PREPARE_DATA` |
  `static int` | `ERR_NAP_RECV_DATA` |
  `static int` | `ERR_NAP_REGISTERED` |
  `static int` | `ERR_NAP_SEND_DATA` |
  `static int` | `ERR_NAP_WRONG_ANSWER_FORMAT` |
  `static int` | `ERR_NAP_WRONG_FDTYPE` |
  `static int` | `ERR_NAP_WRONG_IMSI` |
  `static int` | `ERR_NAP_WRONG_PSTYPE` |
  `static int` | `ERR_NEED_ALL_CLEARING_REPORTS` |
  `static int` | `ERR_NEED_ALL_PAIDOUT` |
  `static int` | `ERR_NEED_BACKUP` |
  `static int` | `ERR_NEED_MONTH_REPORT` |
  `static int` | `ERR_NEED_SERVICE_INTERVENTION` |
  `static int` | `ERR_NEED_SERVICE_JUMPER` |
  `static int` | `ERR_NEED_SERVICE_PASSWORD` |
  `static int` | `ERR_NEED_YEAR_REPORT` |
  `static int` | `ERR_NEED_Z_REPORT` |
  `static int` | `ERR_NET_CONFIG` |
  `static int` | `ERR_NET_CONNECTION` |
  `static int` | `ERR_NET_DNS_RESOLVE` |
  `static int` | `ERR_NET_HTTP_ERROR` |
  `static int` | `ERR_NET_SOCKET` |
  `static int` | `ERR_NET_SOCKET_CONNECTED` |
  `static int` | `ERR_NET_SSL_ERROR` |
  `static int` | `ERR_NO_HEAP_MEMORY` |
  `static int` | `ERR_NO_RAM_BATTERY` |
  `static int` | `ERR_NO_RECORDS` |
  `static int` | `ERR_NO_UPDATE` |
  `static int` | `ERR_NOT_FOUND_BLUETOOTH` |
  `static int` | `ERR_NOT_POSSIBLE` |
  `static int` | `ERR_NOT_READY` |
  `static int` | `ERR_NOTFOUND` |
  `static int` | `ERR_NRA_NEGATIVE_ANSWER` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_1` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_10` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_11` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_12` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_13` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_14` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_15` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_16` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_2` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_3` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_4` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_5` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_6` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_7` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_8` |
  `static int` | `ERR_NRA_WRONG_ANSWER_PARAM_9` |
  `static int` | `ERR_NTP_EARLIER_DATETIME` |
  `static int` | `ERR_NTP_NO_COMM` |
  `static int` | `ERR_NTP_WRONG_IP` |
  `static int` | `ERR_OPER_WRONG_PASSWORD` |
  `static int` | `ERR_P_HAVE_TURNOVER` |
  `static int` | `ERR_PARSE_ERROR` |
  `static int` | `ERR_PINPAD_ACCEPT` |
  `static int` | `ERR_PINPAD_BOR_ERR` |
  `static int` | `ERR_PINPAD_CANCEL` |
  `static int` | `ERR_PINPAD_COMMUNICATION` |
  `static int` | `ERR_PINPAD_CRYPTOGRAPHY` |
  `static int` | `ERR_PINPAD_DEVICE_BUSY` |
  `static int` | `ERR_PINPAD_DUPLICATE_KEY` |
  `static int` | `ERR_PINPAD_ECR` |
  `static int` | `ERR_PINPAD_EMSR` |
  `static int` | `ERR_PINPAD_EMV` |
  `static int` | `ERR_PINPAD_END_DAY` |
  `static int` | `ERR_PINPAD_FILE_EMPTY` |
  `static int` | `ERR_PINPAD_FLASH` |
  `static int` | `ERR_PINPAD_FP_TRANS` |
  `static int` | `ERR_PINPAD_GENERAL` |
  `static int` | `ERR_PINPAD_HAL` |
  `static int` | `ERR_PINPAD_HARDWARE` |
  `static int` | `ERR_PINPAD_INV_AMOUNT` |
  `static int` | `ERR_PINPAD_INVALID_ADDRESS` |
  `static int` | `ERR_PINPAD_INVALID_COMMAND` |
  `static int` | `ERR_PINPAD_INVALID_CRC` |
  `static int` | `ERR_PINPAD_INVALID_DEVICE` |
  `static int` | `ERR_PINPAD_INVALID_HEADER` |
  `static int` | `ERR_PINPAD_INVALID_KEK` |
  `static int` | `ERR_PINPAD_INVALID_KEY` |
  `static int` | `ERR_PINPAD_INVALID_KEY_ATTRIBUTES` |
  `static int` | `ERR_PINPAD_INVALID_KEY_FORMAT` |
  `static int` | `ERR_PINPAD_INVALID_KEY_NUMBER` |
  `static int` | `ERR_PINPAD_INVALID_LENGTH` |
  `static int` | `ERR_PINPAD_INVALID_PAN` |
  `static int` | `ERR_PINPAD_INVALID_PARAM` |
  `static int` | `ERR_PINPAD_INVALID_PASSWORD` |
  `static int` | `ERR_PINPAD_INVALID_REMINDER` |
  `static int` | `ERR_PINPAD_INVALID_SEQUENCE` |
  `static int` | `ERR_PINPAD_INVALID_SIGNATURE` |
  `static int` | `ERR_PINPAD_INVALID_VALUE` |
  `static int` | `ERR_PINPAD_INVALID_VERSION` |
  `static int` | `ERR_PINPAD_KEYBOARD` |
  `static int` | `ERR_PINPAD_KEYBOARD_FAILED` |
  `static int` | `ERR_PINPAD_KEYBOARD_NOT_CALIBRATED` |
  `static int` | `ERR_PINPAD_LIMIT` |
  `static int` | `ERR_PINPAD_NO_CONN` |
  `static int` | `ERR_PINPAD_NO_DATA` |
  `static int` | `ERR_PINPAD_NO_PERMITION` |
  `static int` | `ERR_PINPAD_NO_PIN_DATA` |
  `static int` | `ERR_PINPAD_NO_TMK` |
  `static int` | `ERR_PINPAD_NONE` |
  `static int` | `ERR_PINPAD_NOPAPER` |
  `static int` | `ERR_PINPAD_NOT_CONF` |
  `static int` | `ERR_PINPAD_NOT_CONF_TYPE` |
  `static int` | `ERR_PINPAD_NOT_CONNECTED` |
  `static int` | `ERR_PINPAD_NOT_ENOUGH_MEMORY` |
  `static int` | `ERR_PINPAD_NOT_INIT` |
  `static int` | `ERR_PINPAD_NOT_PERMIT` |
  `static int` | `ERR_PINPAD_NOT_SUPPORT` |
  `static int` | `ERR_PINPAD_OVERHEATED` |
  `static int` | `ERR_PINPAD_PIN_LIMIT` |
  `static int` | `ERR_PINPAD_RECEIPT` |
  `static int` | `ERR_PINPAD_SAME_TRANS` |
  `static int` | `ERR_PINPAD_SCR` |
  `static int` | `ERR_PINPAD_TAMPERED` |
  `static int` | `ERR_PINPAD_TIMEOUT` |
  `static int` | `ERR_PINPAD_TRN_NOT_FOUND` |
  `static int` | `ERR_PINPAD_USE_CHIP` |
  `static int` | `ERR_PLUDB_BARCODE_EXISTS` |
  `static int` | `ERR_PLUDB_CAN_NOT_OPEN` |
  `static int` | `ERR_PLUDB_FORMAT_INCOMPATIBLE` |
  `static int` | `ERR_PLUDB_FULL` |
  `static int` | `ERR_PLUDB_NAME_EXISTS` |
  `static int` | `ERR_PLUDB_NAMES_NOT_UNIQUE` |
  `static int` | `ERR_PLUDB_NOT_FOUND` |
  `static int` | `ERR_PLUDB_PLUCODE_EXISTS` |
  `static int` | `ERR_POS_TERM_CHAN_CLOSED` |
  `static int` | `ERR_PRINTER_DISCONNECTED` |
  `static int` | `ERR_PROFILE_EXPIRED` |
  `static int` | `ERR_PROFILE_INVALID` |
  `static int` | `ERR_PROFILE_STARTDATE_INVALID` |
  `static int` | `ERR_PROFILE_VERIFY_FAIL` |
  `static int` | `ERR_PROFILE_WRONG_STRUCT` |
  `static int` | `ERR_PROGRAM_EXRAM_CHECK_ERROR` |
  `static int` | `ERR_PROGRAM_SELF_CHECK_ERROR` |
  `static int` | `ERR_R_ALL_VOID_EXECUTED` |
  `static int` | `ERR_R_ALL_VOID_SELECTED` |
  `static int` | `ERR_R_AMOUNT_BIGGER_BILLAMOUNT` |
  `static int` | `ERR_R_AMOUNT_SMALLER_BILLAMOUNT` |
  `static int` | `ERR_R_BANK_TERM_NOT_CONFIGURED` |
  `static int` | `ERR_R_BAR_NOTEXIST` |
  `static int` | `ERR_R_BILL_TL_OVR` |
  `static int` | `ERR_R_BON_TYPE_MISMATCH` |
  `static int` | `ERR_R_BUYERS_TIN_IS_ENTERED` |
  `static int` | `ERR_R_BUYERS_TIN_IS_NOT_ENTERED` |
  `static int` | `ERR_R_CASH_NO_MULT_MIN_COIN` |
  `static int` | `ERR_R_CLEAR` |
  `static int` | `ERR_R_CLOSED_BON` |
  `static int` | `ERR_R_DEP_WRONG_NAME` |
  `static int` | `ERR_R_DISC_NOTEXIST` |
  `static int` | `ERR_R_ECR_OVR` |
  `static int` | `ERR_R_END_OF_24_HOUR_PERIOD` |
  `static int` | `ERR_R_EXCISE_PLU_FORBIDDEN` |
  `static int` | `ERR_R_EXCISE_PLU_WITHOUT_EXCISE_STAMP` |
  `static int` | `ERR_R_FIRM_NOTEXIST` |
  `static int` | `ERR_R_MORE_THAN_ONE_VAT` |
  `static int` | `ERR_R_NEGATIVE_SUMVAT` |
  `static int` | `ERR_R_NO_TRANSACTIONS` |
  `static int` | `ERR_R_NO_VALID_INVOICE` |
  `static int` | `ERR_R_NOCLEAR` |
  `static int` | `ERR_R_NOT_EXCISE_PLU_WITH_EXCISE_STAMP` |
  `static int` | `ERR_R_NPOSSIBLE` |
  `static int` | `ERR_R_ONLY_ALL_VOID_IS_POSSIBLE` |
  `static int` | `ERR_R_OPEN_BON` |
  `static int` | `ERR_R_OPEN_FISCALBON` |
  `static int` | `ERR_R_OPEN_NONFISCALBON` |
  `static int` | `ERR_R_OPEN_STORNOBON` |
  `static int` | `ERR_R_OPER_NOT_LOGGED_IN` |
  `static int` | `ERR_R_OUT_OF_STOCK` |
  `static int` | `ERR_R_OVF_QTY` |
  `static int` | `ERR_R_OVF_TOTAL` |
  `static int` | `ERR_R_OVF_TRZ_BUFF` |
  `static int` | `ERR_R_PACK_NOTEXIST` |
  `static int` | `ERR_R_PAY_ADVANCE_BIG` |
  `static int` | `ERR_R_PAY_BIG_AMOUNT` |
  `static int` | `ERR_R_PAY_FORBIDDEN` |
  `static int` | `ERR_R_PAY_FOREIGN_DISABLED` |
  `static int` | `ERR_R_PAY_FOREIGN_IMPOSSIBLE` |
  `static int` | `ERR_R_PAY_FOREIGN_SMALL_AMOUNT` |
  `static int` | `ERR_R_PAY_NOCASH` |
  `static int` | `ERR_R_PAY_NOT_STARTED` |
  `static int` | `ERR_R_PAY_STARTED` |
  `static int` | `ERR_R_PAY_STORNO_RESTO` |
  `static int` | `ERR_R_PAY_VOUCHER_NEED_INPUT_SUM` |
  `static int` | `ERR_R_PAY_VOUCHER_NEED_SURCHARGE` |
  `static int` | `ERR_R_PAY_VOUCHER_RESTO` |
  `static int` | `ERR_R_PAY_ZERO_AMOUNT` |
  `static int` | `ERR_R_PERC_KEY_FORBIDDEN` |
  `static int` | `ERR_R_PINPAD` |
  `static int` | `ERR_R_PLU_CATEGORY_NOTEXIST` |
  `static int` | `ERR_R_PLU_DEP_RANGE` |
  `static int` | `ERR_R_PLU_FIX_PRC` |
  `static int` | `ERR_R_PLU_GRP_RANGE` |
  `static int` | `ERR_R_PLU_NO_PRC` |
  `static int` | `ERR_R_PLU_NOTEXIST` |
  `static int` | `ERR_R_PLU_OVER_MAX_PRC` |
  `static int` | `ERR_R_PLU_PRICETYPE_LINKED` |
  `static int` | `ERR_R_PLU_PRICETYPE_NEGATIVE` |
  `static int` | `ERR_R_PLU_PRICETYPE_RANGE` |
  `static int` | `ERR_R_PLU_QTY_PRC` |
  `static int` | `ERR_R_PLU_QTY_PRC_TOO_LOW` |
  `static int` | `ERR_R_PLU_UNIT_NOTEXIST` |
  `static int` | `ERR_R_PLU_VAT_DISABLE` |
  `static int` | `ERR_R_POS_TERM_APPROVED` |
  `static int` | `ERR_R_POS_TERM_CANCELED` |
  `static int` | `ERR_R_POS_TERM_CONN_ERR` |
  `static int` | `ERR_R_POS_TERM_NOT_APPROVED` |
  `static int` | `ERR_R_PRICE_BAD` |
  `static int` | `ERR_R_PRICE_TOO_BIG` |
  `static int` | `ERR_R_PYFOREIGN_HAVERESTO` |
  `static int` | `ERR_R_REACH_BON_TL_LIMIT` |
  `static int` | `ERR_R_REST_ACCOUNT_IS_OPENED` |
  `static int` | `ERR_R_REST_ACNT_IS_NOTFOUND` |
  `static int` | `ERR_R_REST_NOFREESPC_SELLS` |
  `static int` | `ERR_R_REST_NOFREESPCFORNEWACNT` |
  `static int` | `ERR_R_REST_NOT_PERMITTED` |
  `static int` | `ERR_R_REST_WRONG_INDEX` |
  `static int` | `ERR_R_SAFE_OPEN_DISABLED` |
  `static int` | `ERR_R_SIGN_AGENT_INCORECT` |
  `static int` | `ERR_R_STL_NEEDED` |
  `static int` | `ERR_R_SYNTAX` |
  `static int` | `ERR_R_TRZ_NOT_EXIST` |
  `static int` | `ERR_R_VALUE_BAD` |
  `static int` | `ERR_R_VALUE_TOO_BIG` |
  `static int` | `ERR_R_VAT_SYSTEM_DISABLE` |
  `static int` | `ERR_R_WRONG_BUYERS_DATA` |
  `static int` | `ERR_R_ZERO_BILLAMOUNT` |
  `static int` | `ERR_REJECTED` |
  `static int` | `ERR_RTC_ERROR` |
  `static int` | `ERR_SAM_ALREADY_OPEN` |
  `static int` | `ERR_SAM_BAD_CLOSE_BATCH` |
  `static int` | `ERR_SAM_BAD_GET_BATCH` |
  `static int` | `ERR_SAM_BAD_GET_TRANS` |
  `static int` | `ERR_SAM_BAD_OPERATION` |
  `static int` | `ERR_SAM_BAD_PUT_TRANS` |
  `static int` | `ERR_SAM_BATCH_ALREADY_CLOSED` |
  `static int` | `ERR_SAM_COMMUNICATION_ERROR` |
  `static int` | `ERR_SAM_ERROR` |
  `static int` | `ERR_SAM_INIT` |
  `static int` | `ERR_SAM_INIT_TELEGRAM` |
  `static int` | `ERR_SAM_NOT_OPENED_Z` |
  `static int` | `ERR_SAM_OPEN_EMPTY_ID_DEV` |
  `static int` | `ERR_SAM_OPEN_ID_DEV` |
  `static int` | `ERR_SAM_OPENED_Z_OVF` |
  `static int` | `ERR_SAM_SELECT_FILE` |
  `static int` | `ERR_SAM_TRANS_ALREADY_CLOSED` |
  `static int` | `ERR_SAM_UNSENT_Z_OVF` |
  `static int` | `ERR_SCALE_FILE_GENERATE` |
  `static int` | `ERR_SCALE_NEGATIVE_WEIGHT` |
  `static int` | `ERR_SCALE_NOT_CALCULATED` |
  `static int` | `ERR_SCALE_NOT_CONFIG` |
  `static int` | `ERR_SCALE_NOT_RESPOND` |
  `static int` | `ERR_SCALE_RECEIVE` |
  `static int` | `ERR_SCALE_SEND` |
  `static int` | `ERR_SCALE_T_CONNECT` |
  `static int` | `ERR_SCALE_T_WRONG_INTF` |
  `static int` | `ERR_SCALE_WRONG_RESPONSE` |
  `static int` | `ERR_SCALE_ZERO_WEIGHT` |
  `static int` | `ERR_SD_NOT_PRESENT` |
  `static int` | `ERR_SD2_NOT_PRESENT` |
  `static int` | `ERR_SDCARD_ERROR` |
  `static int` | `ERR_SDCARD_WRONG_SIZE` |
  `static int` | `ERR_SMARTCARD_CARD_FAULT` |
  `static int` | `ERR_SMARTCARD_COMMUNICATION` |
  `static int` | `ERR_SMARTCARD_CONFIG` |
  `static int` | `ERR_SMARTCARD_MODULE_ERROR` |
  `static int` | `ERR_SMARTCARD_NOT_PRESENT` |
  `static int` | `ERR_SMARTCARD_WRONG_ID` |
  `static int` | `ERR_SRAM_ERROR` |
  `static int` | `ERR_TIMEOUT` |
  `static int` | `ERR_TMOUT` |
  `static int` | `ERR_USB_FILE_COPY` |
  `static int` | `ERR_USB_FILE_OPEN` |
  `static int` | `ERR_USB_HOST_INIT` |
  `static int` | `ERR_USB_NO_DEVICE` |
  `static int` | `ERR_USB_NO_FILESYSTEM` |
  `static int` | `ERR_VALID_CERT_EXISTS` |
  `static int` | `ERR_VAT_RATES_ARE_EMPTY` |
  `static int` | `ERR_WORK_INVALID_FILE` |
  `static int` | `ERR_WORK_INVALID_PARAM` |
  `static int` | `ERR_WRONG_MODE` |
  `static int` | `ERR_Z_REPORT_CLOSED` |
  `static int` | `ERR_ZDDS_NUM_IS_EMPTY` |
  `static int` | `OK` |

- ## Field Details

  - ### OK

    static final int OK
    See Also:
      Constant Field Values

  - ### ERR_IO

    static final int ERR_IO
    See Also:
      Constant Field Values

  - ### ERR_CHECKSUM

    static final int ERR_CHECKSUM
    See Also:
      Constant Field Values

  - ### ERR_END_OF_DATA

    static final int ERR_END_OF_DATA
    See Also:
      Constant Field Values

  - ### ERR_NOTFOUND

    static final int ERR_NOTFOUND
    See Also:
      Constant Field Values

  - ### ERR_NO_RECORDS

    static final int ERR_NO_RECORDS
    See Also:
      Constant Field Values

  - ### ERR_ABORTED

    static final int ERR_ABORTED
    See Also:
      Constant Field Values

  - ### ERR_WRONG_MODE

    static final int ERR_WRONG_MODE
    See Also:
      Constant Field Values

  - ### ERR_NOT_READY

    static final int ERR_NOT_READY
    See Also:
      Constant Field Values

  - ### ERR_FM_BUSY

    static final int ERR_FM_BUSY
    See Also:
      Constant Field Values

  - ### ERR_FM_FAILURE

    static final int ERR_FM_FAILURE
    See Also:
      Constant Field Values

  - ### ERR_FM_WRITE_PROTECTED

    static final int ERR_FM_WRITE_PROTECTED
    See Also:
      Constant Field Values

  - ### ERR_FM_WRONG_ADDRESS

    static final int ERR_FM_WRONG_ADDRESS
    See Also:
      Constant Field Values

  - ### ERR_FM_WRONG_SIZE

    static final int ERR_FM_WRONG_SIZE
    See Also:
      Constant Field Values

  - ### ERR_FM_NOT_CONNECTED

    static final int ERR_FM_NOT_CONNECTED
    See Also:
      Constant Field Values

  - ### ERR_FM_WRONG_CHECK_SUM

    static final int ERR_FM_WRONG_CHECK_SUM
    See Also:
      Constant Field Values

  - ### ERR_FM_BLOCK_IS_EMPTY

    static final int ERR_FM_BLOCK_IS_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_FM_MAX_NUMBER

    static final int ERR_FM_MAX_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_FM_WRONG_RANGE

    static final int ERR_FM_WRONG_RANGE
    See Also:
      Constant Field Values

  - ### ERR_FM_EMPTY_RANGE

    static final int ERR_FM_EMPTY_RANGE
    See Also:
      Constant Field Values

  - ### ERR_FM_NEW_MODULE

    static final int ERR_FM_NEW_MODULE
    See Also:
      Constant Field Values

  - ### ERR_FM_NOT_EMPTY

    static final int ERR_FM_NOT_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_FM_NOT_EQUAL

    static final int ERR_FM_NOT_EQUAL
    See Also:
      Constant Field Values

  - ### ERR_FM_FULL

    static final int ERR_FM_FULL
    See Also:
      Constant Field Values

  - ### ERR_FM_NEED_UPDATE

    static final int ERR_FM_NEED_UPDATE
    See Also:
      Constant Field Values

  - ### ERR_FM_BLOCKED

    static final int ERR_FM_BLOCKED
    See Also:
      Constant Field Values

  - ### ERR_LTP_VCCERR

    static final int ERR_LTP_VCCERR
    See Also:
      Constant Field Values

  - ### ERR_LTP_SVPERR

    static final int ERR_LTP_SVPERR
    See Also:
      Constant Field Values

  - ### ERR_LTP_STHERR

    static final int ERR_LTP_STHERR
    See Also:
      Constant Field Values

  - ### ERR_LTP_PESENS

    static final int ERR_LTP_PESENS
    See Also:
      Constant Field Values

  - ### ERR_LTP_HDSENS

    static final int ERR_LTP_HDSENS
    See Also:
      Constant Field Values

  - ### ERR_LTP_NESENS

    static final int ERR_LTP_NESENS
    See Also:
      Constant Field Values

  - ### ERR_LTP_MKSENS

    static final int ERR_LTP_MKSENS
    See Also:
      Constant Field Values

  - ### ERR_LTP_CUTERR

    static final int ERR_LTP_CUTERR
    See Also:
      Constant Field Values

  - ### ERR_LTP_PR_ERR

    static final int ERR_LTP_PR_ERR
    See Also:
      Constant Field Values

  - ### ERR_LTP_PR_BUSY

    static final int ERR_LTP_PR_BUSY
    See Also:
      Constant Field Values

  - ### ERR_LTP_BZLPDEC

    static final int ERR_LTP_BZLPDEC
    See Also:
      Constant Field Values

  - ### ERR_LTP_BZLCLMP

    static final int ERR_LTP_BZLCLMP
    See Also:
      Constant Field Values

  - ### ERR_LTP_CHARGE_MODE

    static final int ERR_LTP_CHARGE_MODE
    See Also:
      Constant Field Values

  - ### ERR_LTP_INZERR_MODE

    static final int ERR_LTP_INZERR_MODE
    See Also:
      Constant Field Values

  - ### ERR_LTP_MOTOR_OVERRUN

    static final int ERR_LTP_MOTOR_OVERRUN
    See Also:
      Constant Field Values

  - ### ERR_PROGRAM_SELF_CHECK_ERROR

    static final int ERR_PROGRAM_SELF_CHECK_ERROR
    See Also:
      Constant Field Values

  - ### ERR_SRAM_ERROR

    static final int ERR_SRAM_ERROR
    See Also:
      Constant Field Values

  - ### ERR_FLASH_ERROR

    static final int ERR_FLASH_ERROR
    See Also:
      Constant Field Values

  - ### ERR_SDCARD_ERROR

    static final int ERR_SDCARD_ERROR
    See Also:
      Constant Field Values

  - ### ERR_INVALID_MSG_FILE

    static final int ERR_INVALID_MSG_FILE
    See Also:
      Constant Field Values

  - ### ERR_FM_ERROR

    static final int ERR_FM_ERROR
    See Also:
      Constant Field Values

  - ### ERR_NO_RAM_BATTERY

    static final int ERR_NO_RAM_BATTERY
    See Also:
      Constant Field Values

  - ### ERR_SAM_ERROR

    static final int ERR_SAM_ERROR
    See Also:
      Constant Field Values

  - ### ERR_RTC_ERROR

    static final int ERR_RTC_ERROR
    See Also:
      Constant Field Values

  - ### ERR_PROGRAM_EXRAM_CHECK_ERROR

    static final int ERR_PROGRAM_EXRAM_CHECK_ERROR
    See Also:
      Constant Field Values

  - ### ERR_SDCARD_WRONG_SIZE

    static final int ERR_SDCARD_WRONG_SIZE
    See Also:
      Constant Field Values

  - ### ERR_NO_HEAP_MEMORY

    static final int ERR_NO_HEAP_MEMORY
    See Also:
      Constant Field Values

  - ### ERR_FILE_MANIPULATE

    static final int ERR_FILE_MANIPULATE
    See Also:
      Constant Field Values

  - ### ERR_REJECTED

    static final int ERR_REJECTED
    See Also:
      Constant Field Values

  - ### ERR_BAD_INPUT

    static final int ERR_BAD_INPUT
    See Also:
      Constant Field Values

  - ### ERR_IAP

    static final int ERR_IAP
    See Also:
      Constant Field Values

  - ### ERR_NOT_POSSIBLE

    static final int ERR_NOT_POSSIBLE
    See Also:
      Constant Field Values

  - ### ERR_TMOUT

    static final int ERR_TMOUT
    See Also:
      Constant Field Values

  - ### ERR_TIMEOUT

    static final int ERR_TIMEOUT
    See Also:
      Constant Field Values

  - ### ERR_INVALID_TIME

    static final int ERR_INVALID_TIME
    See Also:
      Constant Field Values

  - ### ERR_CANCELLED

    static final int ERR_CANCELLED
    See Also:
      Constant Field Values

  - ### ERR_INVALID_FORMAT

    static final int ERR_INVALID_FORMAT
    See Also:
      Constant Field Values

  - ### ERR_INVALID_DATA

    static final int ERR_INVALID_DATA
    See Also:
      Constant Field Values

  - ### ERR_PARSE_ERROR

    static final int ERR_PARSE_ERROR
    See Also:
      Constant Field Values

  - ### ERR_HARDWARE_CONFIGURATION

    static final int ERR_HARDWARE_CONFIGURATION
    See Also:
      Constant Field Values

  - ### ERR_ACCESS_DENIED

    static final int ERR_ACCESS_DENIED
    See Also:
      Constant Field Values

  - ### ERR_BAD_DATA_LENGTH

    static final int ERR_BAD_DATA_LENGTH
    See Also:
      Constant Field Values

  - ### ERR_NO_UPDATE

    static final int ERR_NO_UPDATE
    See Also:
      Constant Field Values

  - ### ERR_LOW_BATTERY

    static final int ERR_LOW_BATTERY
    See Also:
      Constant Field Values

  - ### ERR_LOW_BATTERY_WARNING

    static final int ERR_LOW_BATTERY_WARNING
    See Also:
      Constant Field Values

  - ### ERR_OPER_WRONG_PASSWORD

    static final int ERR_OPER_WRONG_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_IDNUMBER_IS_EMPTY

    static final int ERR_IDNUMBER_IS_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_NOT_FOUND_BLUETOOTH

    static final int ERR_NOT_FOUND_BLUETOOTH
    See Also:
      Constant Field Values

  - ### ERR_DISPLAY_DISCONNECTED

    static final int ERR_DISPLAY_DISCONNECTED
    See Also:
      Constant Field Values

  - ### ERR_PRINTER_DISCONNECTED

    static final int ERR_PRINTER_DISCONNECTED
    See Also:
      Constant Field Values

  - ### ERR_SD_NOT_PRESENT

    static final int ERR_SD_NOT_PRESENT
    See Also:
      Constant Field Values

  - ### ERR_SD2_NOT_PRESENT

    static final int ERR_SD2_NOT_PRESENT
    See Also:
      Constant Field Values

  - ### ERR_VAT_RATES_ARE_EMPTY

    static final int ERR_VAT_RATES_ARE_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_HEADER_IS_EMPTY

    static final int ERR_HEADER_IS_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_ZDDS_NUM_IS_EMPTY

    static final int ERR_ZDDS_NUM_IS_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_FMNUMBER_IS_EMPTY

    static final int ERR_FMNUMBER_IS_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_NOT_FOUND

    static final int ERR_PLUDB_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_PLUCODE_EXISTS

    static final int ERR_PLUDB_PLUCODE_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_BARCODE_EXISTS

    static final int ERR_PLUDB_BARCODE_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_FULL

    static final int ERR_PLUDB_FULL
    See Also:
      Constant Field Values

  - ### ERR_P_HAVE_TURNOVER

    static final int ERR_P_HAVE_TURNOVER
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_NAME_EXISTS

    static final int ERR_PLUDB_NAME_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_NAMES_NOT_UNIQUE

    static final int ERR_PLUDB_NAMES_NOT_UNIQUE
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_FORMAT_INCOMPATIBLE

    static final int ERR_PLUDB_FORMAT_INCOMPATIBLE
    See Also:
      Constant Field Values

  - ### ERR_PLUDB_CAN_NOT_OPEN

    static final int ERR_PLUDB_CAN_NOT_OPEN
    See Also:
      Constant Field Values

  - ### ERR_NEED_Z_REPORT

    static final int ERR_NEED_Z_REPORT
    See Also:
      Constant Field Values

  - ### ERR_NEED_SERVICE_JUMPER

    static final int ERR_NEED_SERVICE_JUMPER
    See Also:
      Constant Field Values

  - ### ERR_NEED_SERVICE_PASSWORD

    static final int ERR_NEED_SERVICE_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_FORBIDEN

    static final int ERR_FORBIDEN
    See Also:
      Constant Field Values

  - ### ERR_NEED_SERVICE_INTERVENTION

    static final int ERR_NEED_SERVICE_INTERVENTION
    See Also:
      Constant Field Values

  - ### ERR_NEED_ALL_CLEARING_REPORTS

    static final int ERR_NEED_ALL_CLEARING_REPORTS
    See Also:
      Constant Field Values

  - ### ERR_Z_REPORT_CLOSED

    static final int ERR_Z_REPORT_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_NEED_MONTH_REPORT

    static final int ERR_NEED_MONTH_REPORT
    See Also:
      Constant Field Values

  - ### ERR_NEED_YEAR_REPORT

    static final int ERR_NEED_YEAR_REPORT
    See Also:
      Constant Field Values

  - ### ERR_NEED_BACKUP

    static final int ERR_NEED_BACKUP
    See Also:
      Constant Field Values

  - ### ERR_NEED_ALL_PAIDOUT

    static final int ERR_NEED_ALL_PAIDOUT
    See Also:
      Constant Field Values

  - ### ERR_EJ_NO_RECORDS

    static final int ERR_EJ_NO_RECORDS
    See Also:
      Constant Field Values

  - ### ERR_CANNOT_ADD_TO_EJ

    static final int ERR_CANNOT_ADD_TO_EJ
    See Also:
      Constant Field Values

  - ### ERR_EJ_WRONG_MAC_RECORD

    static final int ERR_EJ_WRONG_MAC_RECORD
    See Also:
      Constant Field Values

  - ### ERR_EJ_IMMPOSSIBLE_TO_CHK_MAC_RECORD

    static final int ERR_EJ_IMMPOSSIBLE_TO_CHK_MAC_RECORD
    See Also:
      Constant Field Values

  - ### ERR_EJ_BAD_RECORDS

    static final int ERR_EJ_BAD_RECORDS
    See Also:
      Constant Field Values

  - ### ERR_EJ_CAN_NOT_GENERATE_MAC

    static final int ERR_EJ_CAN_NOT_GENERATE_MAC
    See Also:
      Constant Field Values

  - ### ERR_EJ_WRONG_TYPE_TO_SIGN

    static final int ERR_EJ_WRONG_TYPE_TO_SIGN
    See Also:
      Constant Field Values

  - ### ERR_EJ_ALREADY_SIGNED

    static final int ERR_EJ_ALREADY_SIGNED
    See Also:
      Constant Field Values

  - ### ERR_EJ_NOT_FROM_THIS_DEVICE

    static final int ERR_EJ_NOT_FROM_THIS_DEVICE
    See Also:
      Constant Field Values

  - ### ERR_EJ_NEAR_FULL

    static final int ERR_EJ_NEAR_FULL
    See Also:
      Constant Field Values

  - ### ERR_EJ_FULL

    static final int ERR_EJ_FULL
    See Also:
      Constant Field Values

  - ### ERR_EJ_WRONG_FORMAT

    static final int ERR_EJ_WRONG_FORMAT
    See Also:
      Constant Field Values

  - ### ERR_EJ_NOT_READY

    static final int ERR_EJ_NOT_READY
    See Also:
      Constant Field Values

  - ### ERR_R_FIRM_NOTEXIST

    static final int ERR_R_FIRM_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_FIRMDB_FIRMCODE_EXISTS

    static final int ERR_FIRMDB_FIRMCODE_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_FIRMDB_EIK_EXISTS

    static final int ERR_FIRMDB_EIK_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_FIRMDB_FULL

    static final int ERR_FIRMDB_FULL
    See Also:
      Constant Field Values

  - ### ERR_FIRMDB_NOT_FOUND

    static final int ERR_FIRMDB_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_INVALID_CERTIFICATE

    static final int ERR_INVALID_CERTIFICATE
    See Also:
      Constant Field Values

  - ### ERR_VALID_CERT_EXISTS

    static final int ERR_VALID_CERT_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_CERT_UNPACKING_FAILED

    static final int ERR_CERT_UNPACKING_FAILED
    See Also:
      Constant Field Values

  - ### ERR_CERT_WRONG_PASSWORD

    static final int ERR_CERT_WRONG_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_CERT_FILE_WRITE

    static final int ERR_CERT_FILE_WRITE
    See Also:
      Constant Field Values

  - ### ERR_CERT_FILE_READ

    static final int ERR_CERT_FILE_READ
    See Also:
      Constant Field Values

  - ### ERR_CERT_NOT_FOUND

    static final int ERR_CERT_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_PROFILE_EXPIRED

    static final int ERR_PROFILE_EXPIRED
    See Also:
      Constant Field Values

  - ### ERR_PROFILE_INVALID

    static final int ERR_PROFILE_INVALID
    See Also:
      Constant Field Values

  - ### ERR_PROFILE_STARTDATE_INVALID

    static final int ERR_PROFILE_STARTDATE_INVALID
    See Also:
      Constant Field Values

  - ### ERR_PROFILE_VERIFY_FAIL

    static final int ERR_PROFILE_VERIFY_FAIL
    See Also:
      Constant Field Values

  - ### ERR_PROFILE_WRONG_STRUCT

    static final int ERR_PROFILE_WRONG_STRUCT
    See Also:
      Constant Field Values

  - ### ERR_R_DISC_NOTEXIST

    static final int ERR_R_DISC_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_DISCDB_DISCCODE_EXISTS

    static final int ERR_DISCDB_DISCCODE_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_DISCDB_BARCODE_EXISTS

    static final int ERR_DISCDB_BARCODE_EXISTS
    See Also:
      Constant Field Values

  - ### ERR_DISCDB_FULL

    static final int ERR_DISCDB_FULL
    See Also:
      Constant Field Values

  - ### ERR_DISCDB_NOT_FOUND

    static final int ERR_DISCDB_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_NOT_PRESENT

    static final int ERR_SMARTCARD_NOT_PRESENT
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_CONFIG

    static final int ERR_SMARTCARD_CONFIG
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_COMMUNICATION

    static final int ERR_SMARTCARD_COMMUNICATION
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_CARD_FAULT

    static final int ERR_SMARTCARD_CARD_FAULT
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_MODULE_ERROR

    static final int ERR_SMARTCARD_MODULE_ERROR
    See Also:
      Constant Field Values

  - ### ERR_SMARTCARD_WRONG_ID

    static final int ERR_SMARTCARD_WRONG_ID
    See Also:
      Constant Field Values

  - ### ERR_SAM_INIT

    static final int ERR_SAM_INIT
    See Also:
      Constant Field Values

  - ### ERR_SAM_OPEN_ID_DEV

    static final int ERR_SAM_OPEN_ID_DEV
    See Also:
      Constant Field Values

  - ### ERR_SAM_OPEN_EMPTY_ID_DEV

    static final int ERR_SAM_OPEN_EMPTY_ID_DEV
    See Also:
      Constant Field Values

  - ### ERR_SAM_SELECT_FILE

    static final int ERR_SAM_SELECT_FILE
    See Also:
      Constant Field Values

  - ### ERR_SAM_INIT_TELEGRAM

    static final int ERR_SAM_INIT_TELEGRAM
    See Also:
      Constant Field Values

  - ### ERR_SAM_ALREADY_OPEN

    static final int ERR_SAM_ALREADY_OPEN
    See Also:
      Constant Field Values

  - ### ERR_SAM_COMMUNICATION_ERROR

    static final int ERR_SAM_COMMUNICATION_ERROR
    See Also:
      Constant Field Values

  - ### ERR_SAM_BAD_OPERATION

    static final int ERR_SAM_BAD_OPERATION
    See Also:
      Constant Field Values

  - ### ERR_SAM_BAD_GET_TRANS

    static final int ERR_SAM_BAD_GET_TRANS
    See Also:
      Constant Field Values

  - ### ERR_SAM_BAD_PUT_TRANS

    static final int ERR_SAM_BAD_PUT_TRANS
    See Also:
      Constant Field Values

  - ### ERR_SAM_BAD_GET_BATCH

    static final int ERR_SAM_BAD_GET_BATCH
    See Also:
      Constant Field Values

  - ### ERR_SAM_BAD_CLOSE_BATCH

    static final int ERR_SAM_BAD_CLOSE_BATCH
    See Also:
      Constant Field Values

  - ### ERR_SAM_TRANS_ALREADY_CLOSED

    static final int ERR_SAM_TRANS_ALREADY_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_SAM_BATCH_ALREADY_CLOSED

    static final int ERR_SAM_BATCH_ALREADY_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_SAM_UNSENT_Z_OVF

    static final int ERR_SAM_UNSENT_Z_OVF
    See Also:
      Constant Field Values

  - ### ERR_SAM_OPENED_Z_OVF

    static final int ERR_SAM_OPENED_Z_OVF
    See Also:
      Constant Field Values

  - ### ERR_SAM_NOT_OPENED_Z

    static final int ERR_SAM_NOT_OPENED_Z
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_COMM_ERROR

    static final int ERR_DEVICE_COMM_ERROR
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_WRONG_STRUCT

    static final int ERR_DEVICE_WRONG_STRUCT
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_STFLAG_ACTIVE

    static final int ERR_DEVICE_STFLAG_ACTIVE
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_INVALID_DATA

    static final int ERR_DEVICE_INVALID_DATA
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_NOT_FISCALIZED

    static final int ERR_DEVICE_NOT_FISCALIZED
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_ALREADY_FISCALIZED

    static final int ERR_DEVICE_ALREADY_FISCALIZED
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_IN_SERVICE_MODE

    static final int ERR_DEVICE_IN_SERVICE_MODE
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_PASSED_SERVICE_DATE

    static final int ERR_DEVICE_PASSED_SERVICE_DATE
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_DAY_IS_OPEN

    static final int ERR_DEVICE_DAY_IS_OPEN
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_DAY_IS_CLOSED

    static final int ERR_DEVICE_DAY_IS_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_WRONG_NUMBERS

    static final int ERR_DEVICE_WRONG_NUMBERS
    See Also:
      Constant Field Values

  - ### ERR_DEVICE_ADMIN_ONLY

    static final int ERR_DEVICE_ADMIN_ONLY
    See Also:
      Constant Field Values

  - ### ERR_NAP_OPEN_SESSION

    static final int ERR_NAP_OPEN_SESSION
    See Also:
      Constant Field Values

  - ### ERR_NAP_PREPARE_DATA

    static final int ERR_NAP_PREPARE_DATA
    See Also:
      Constant Field Values

  - ### ERR_NAP_SEND_DATA

    static final int ERR_NAP_SEND_DATA
    See Also:
      Constant Field Values

  - ### ERR_NAP_RECV_DATA

    static final int ERR_NAP_RECV_DATA
    See Also:
      Constant Field Values

  - ### ERR_NAP_EMPTY_DATA

    static final int ERR_NAP_EMPTY_DATA
    See Also:
      Constant Field Values

  - ### ERR_NAP_NEGATIVE_ANSWER

    static final int ERR_NAP_NEGATIVE_ANSWER
    See Also:
      Constant Field Values

  - ### ERR_NAP_WRONG_ANSWER_FORMAT

    static final int ERR_NAP_WRONG_ANSWER_FORMAT
    See Also:
      Constant Field Values

  - ### ERR_NAP_HOSTDI_ZERRO

    static final int ERR_NAP_HOSTDI_ZERRO
    See Also:
      Constant Field Values

  - ### ERR_NAP_EXCEPTION

    static final int ERR_NAP_EXCEPTION
    See Also:
      Constant Field Values

  - ### ERR_NAP_NOTPERSONALIZED

    static final int ERR_NAP_NOTPERSONALIZED
    See Also:
      Constant Field Values

  - ### ERR_NAP_NOTREGISTERED

    static final int ERR_NAP_NOTREGISTERED
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_72H

    static final int ERR_NAP_BLOCKED_72H
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_NO_MODEM_LAN

    static final int ERR_NAP_BLOCKED_NO_MODEM_LAN
    See Also:
      Constant Field Values

  - ### ERR_NAP_BUSY

    static final int ERR_NAP_BUSY
    See Also:
      Constant Field Values

  - ### ERR_NAP_REGISTERED

    static final int ERR_NAP_REGISTERED
    See Also:
      Constant Field Values

  - ### ERR_NAP_WRONG_PSTYPE

    static final int ERR_NAP_WRONG_PSTYPE
    See Also:
      Constant Field Values

  - ### ERR_NAP_DEREG_ON_SERVER

    static final int ERR_NAP_DEREG_ON_SERVER
    See Also:
      Constant Field Values

  - ### ERR_NAP_WRONG_IMSI

    static final int ERR_NAP_WRONG_IMSI
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_MAX_ZERRORS

    static final int ERR_NAP_BLOCKED_MAX_ZERRORS
    See Also:
      Constant Field Values

  - ### ERR_NAP_WRONG_FDTYPE

    static final int ERR_NAP_WRONG_FDTYPE
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_BY_SERVER

    static final int ERR_NAP_BLOCKED_BY_SERVER
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_ERROR_FROM_SERVER

    static final int ERR_NAP_BLOCKED_ERROR_FROM_SERVER
    See Also:
      Constant Field Values

  - ### ERR_NAP_NO_SERVER_ADDRESS

    static final int ERR_NAP_NO_SERVER_ADDRESS
    See Also:
      Constant Field Values

  - ### ERR_NAP_NO_REGISTRATIONS_POSSIBLE

    static final int ERR_NAP_NO_REGISTRATIONS_POSSIBLE
    See Also:
      Constant Field Values

  - ### ERR_NAP_INVALID_OPERATOR_INN

    static final int ERR_NAP_INVALID_OPERATOR_INN
    See Also:
      Constant Field Values

  - ### ERR_NAP_INVALID_SERVER_INN

    static final int ERR_NAP_INVALID_SERVER_INN
    See Also:
      Constant Field Values

  - ### ERR_WORK_INVALID_FILE

    static final int ERR_WORK_INVALID_FILE
    See Also:
      Constant Field Values

  - ### ERR_WORK_INVALID_PARAM

    static final int ERR_WORK_INVALID_PARAM
    See Also:
      Constant Field Values

  - ### ERR_CONNECTION_INIT

    static final int ERR_CONNECTION_INIT
    See Also:
      Constant Field Values

  - ### ERR_CONNECTION_WRONG_PARAMS

    static final int ERR_CONNECTION_WRONG_PARAMS
    See Also:
      Constant Field Values

  - ### ERR_CONNECTION_NO_GPRS

    static final int ERR_CONNECTION_NO_GPRS
    See Also:
      Constant Field Values

  - ### ERR_CONNECTION_INIT_REPOSITORY

    static final int ERR_CONNECTION_INIT_REPOSITORY
    See Also:
      Constant Field Values

  - ### ERR_CONNECTION_WRONG_ANSWER_FORMAT

    static final int ERR_CONNECTION_WRONG_ANSWER_FORMAT
    See Also:
      Constant Field Values

  - ### ERR_NRA_NEGATIVE_ANSWER

    static final int ERR_NRA_NEGATIVE_ANSWER
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_1

    static final int ERR_NRA_WRONG_ANSWER_PARAM_1
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_2

    static final int ERR_NRA_WRONG_ANSWER_PARAM_2
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_3

    static final int ERR_NRA_WRONG_ANSWER_PARAM_3
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_4

    static final int ERR_NRA_WRONG_ANSWER_PARAM_4
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_5

    static final int ERR_NRA_WRONG_ANSWER_PARAM_5
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_6

    static final int ERR_NRA_WRONG_ANSWER_PARAM_6
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_7

    static final int ERR_NRA_WRONG_ANSWER_PARAM_7
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_8

    static final int ERR_NRA_WRONG_ANSWER_PARAM_8
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_9

    static final int ERR_NRA_WRONG_ANSWER_PARAM_9
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_10

    static final int ERR_NRA_WRONG_ANSWER_PARAM_10
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_11

    static final int ERR_NRA_WRONG_ANSWER_PARAM_11
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_12

    static final int ERR_NRA_WRONG_ANSWER_PARAM_12
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_13

    static final int ERR_NRA_WRONG_ANSWER_PARAM_13
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_14

    static final int ERR_NRA_WRONG_ANSWER_PARAM_14
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_15

    static final int ERR_NRA_WRONG_ANSWER_PARAM_15
    See Also:
      Constant Field Values

  - ### ERR_NRA_WRONG_ANSWER_PARAM_16

    static final int ERR_NRA_WRONG_ANSWER_PARAM_16
    See Also:
      Constant Field Values

  - ### ERR_MODEM_CTRL

    static final int ERR_MODEM_CTRL
    See Also:
      Constant Field Values

  - ### ERR_MODEM_NO_SIM

    static final int ERR_MODEM_NO_SIM
    See Also:
      Constant Field Values

  - ### ERR_MODEM_PIN

    static final int ERR_MODEM_PIN
    See Also:
      Constant Field Values

  - ### ERR_MODEM_ATTACH

    static final int ERR_MODEM_ATTACH
    See Also:
      Constant Field Values

  - ### ERR_MODEM_PPP

    static final int ERR_MODEM_PPP
    See Also:
      Constant Field Values

  - ### ERR_MODEM_CONFIG

    static final int ERR_MODEM_CONFIG
    See Also:
      Constant Field Values

  - ### ERR_MODEM_WAIT_INIT

    static final int ERR_MODEM_WAIT_INIT
    See Also:
      Constant Field Values

  - ### ERR_MODEM_NOTREADY

    static final int ERR_MODEM_NOTREADY
    See Also:
      Constant Field Values

  - ### ERR_MODEM_REMOVE_SIM

    static final int ERR_MODEM_REMOVE_SIM
    See Also:
      Constant Field Values

  - ### ERR_MODEM_CELL_FOUND

    static final int ERR_MODEM_CELL_FOUND
    See Also:
      Constant Field Values

  - ### ERR_MODEM_CELL_NOTFOUND

    static final int ERR_MODEM_CELL_NOTFOUND
    See Also:
      Constant Field Values

  - ### ERR_MODEM_LOT_DAYS_FAIL

    static final int ERR_MODEM_LOT_DAYS_FAIL
    See Also:
      Constant Field Values

  - ### ERR_MODEM_CONNECT_AP

    static final int ERR_MODEM_CONNECT_AP
    See Also:
      Constant Field Values

  - ### ERR_NET_DNS_RESOLVE

    static final int ERR_NET_DNS_RESOLVE
    See Also:
      Constant Field Values

  - ### ERR_NET_SOCKET

    static final int ERR_NET_SOCKET
    See Also:
      Constant Field Values

  - ### ERR_NET_CONNECTION

    static final int ERR_NET_CONNECTION
    See Also:
      Constant Field Values

  - ### ERR_NET_CONFIG

    static final int ERR_NET_CONFIG
    See Also:
      Constant Field Values

  - ### ERR_NET_SOCKET_CONNECTED

    static final int ERR_NET_SOCKET_CONNECTED
    See Also:
      Constant Field Values

  - ### ERR_NET_SSL_ERROR

    static final int ERR_NET_SSL_ERROR
    See Also:
      Constant Field Values

  - ### ERR_NET_HTTP_ERROR

    static final int ERR_NET_HTTP_ERROR
    See Also:
      Constant Field Values

  - ### ERR_DT_OK

    static final int ERR_DT_OK
    See Also:
      Constant Field Values

  - ### ERR_DT_UNKNOWN_ID

    static final int ERR_DT_UNKNOWN_ID
    See Also:
      Constant Field Values

  - ### ERR_DT_INVALID_TOKEN

    static final int ERR_DT_INVALID_TOKEN
    See Also:
      Constant Field Values

  - ### ERR_DT_PROTOCOL_ERROR

    static final int ERR_DT_PROTOCOL_ERROR
    See Also:
      Constant Field Values

  - ### ERR_DT_UNKNOWN_COMMAND

    static final int ERR_DT_UNKNOWN_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_DT_UNSUPPORTED_COMMAND

    static final int ERR_DT_UNSUPPORTED_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_DT_INVALID_CONFIGURATION

    static final int ERR_DT_INVALID_CONFIGURATION
    See Also:
      Constant Field Values

  - ### ERR_DT_SSL_IS_NOT_ALLOWED

    static final int ERR_DT_SSL_IS_NOT_ALLOWED
    See Also:
      Constant Field Values

  - ### ERR_DT_INVALID_REQUEST_NUMBER

    static final int ERR_DT_INVALID_REQUEST_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_DT_INVALID_RETRY_REQUEST

    static final int ERR_DT_INVALID_RETRY_REQUEST
    See Also:
      Constant Field Values

  - ### ERR_DT_CANT_CANCEL_TICKET

    static final int ERR_DT_CANT_CANCEL_TICKET
    See Also:
      Constant Field Values

  - ### ERR_DT_OPEN_SHIFT_TIMEOUT_EXPIRED

    static final int ERR_DT_OPEN_SHIFT_TIMEOUT_EXPIRED
    See Also:
      Constant Field Values

  - ### ERR_DT_INVALID_LOGIN_PASSWORD

    static final int ERR_DT_INVALID_LOGIN_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_DT_INCORRECT_REQUEST_DATA

    static final int ERR_DT_INCORRECT_REQUEST_DATA
    See Also:
      Constant Field Values

  - ### ERR_DT_NOT_ENOUGH_CASH

    static final int ERR_DT_NOT_ENOUGH_CASH
    See Also:
      Constant Field Values

  - ### ERR_DT_BLOCKED

    static final int ERR_DT_BLOCKED
    See Also:
      Constant Field Values

  - ### ERR_DT_SERVICE_TEMPORARILY_UNAVAILABLE

    static final int ERR_DT_SERVICE_TEMPORARILY_UNAVAILABLE
    See Also:
      Constant Field Values

  - ### ERR_DT_UNKNOWN_ERROR

    static final int ERR_DT_UNKNOWN_ERROR
    See Also:
      Constant Field Values

  - ### ERR_R_CLEAR

    static final int ERR_R_CLEAR
    See Also:
      Constant Field Values

  - ### ERR_R_NOCLEAR

    static final int ERR_R_NOCLEAR
    See Also:
      Constant Field Values

  - ### ERR_R_SYNTAX

    static final int ERR_R_SYNTAX
    See Also:
      Constant Field Values

  - ### ERR_R_NPOSSIBLE

    static final int ERR_R_NPOSSIBLE
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_NOTEXIST

    static final int ERR_R_PLU_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_VAT_DISABLE

    static final int ERR_R_PLU_VAT_DISABLE
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_QTY_PRC

    static final int ERR_R_PLU_QTY_PRC
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_NO_PRC

    static final int ERR_R_PLU_NO_PRC
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_GRP_RANGE

    static final int ERR_R_PLU_GRP_RANGE
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_DEP_RANGE

    static final int ERR_R_PLU_DEP_RANGE
    See Also:
      Constant Field Values

  - ### ERR_R_BAR_NOTEXIST

    static final int ERR_R_BAR_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_R_OVF_TOTAL

    static final int ERR_R_OVF_TOTAL
    See Also:
      Constant Field Values

  - ### ERR_R_OVF_QTY

    static final int ERR_R_OVF_QTY
    See Also:
      Constant Field Values

  - ### ERR_R_ECR_OVR

    static final int ERR_R_ECR_OVR
    See Also:
      Constant Field Values

  - ### ERR_R_BILL_TL_OVR

    static final int ERR_R_BILL_TL_OVR
    See Also:
      Constant Field Values

  - ### ERR_R_OPEN_BON

    static final int ERR_R_OPEN_BON
    See Also:
      Constant Field Values

  - ### ERR_R_CLOSED_BON

    static final int ERR_R_CLOSED_BON
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_NOCASH

    static final int ERR_R_PAY_NOCASH
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_STARTED

    static final int ERR_R_PAY_STARTED
    See Also:
      Constant Field Values

  - ### ERR_R_OVF_TRZ_BUFF

    static final int ERR_R_OVF_TRZ_BUFF
    See Also:
      Constant Field Values

  - ### ERR_R_NO_TRANSACTIONS

    static final int ERR_R_NO_TRANSACTIONS
    See Also:
      Constant Field Values

  - ### ERR_R_NEGATIVE_SUMVAT

    static final int ERR_R_NEGATIVE_SUMVAT
    See Also:
      Constant Field Values

  - ### ERR_R_PYFOREIGN_HAVERESTO

    static final int ERR_R_PYFOREIGN_HAVERESTO
    See Also:
      Constant Field Values

  - ### ERR_R_TRZ_NOT_EXIST

    static final int ERR_R_TRZ_NOT_EXIST
    See Also:
      Constant Field Values

  - ### ERR_R_END_OF_24_HOUR_PERIOD

    static final int ERR_R_END_OF_24_HOUR_PERIOD
    See Also:
      Constant Field Values

  - ### ERR_R_NO_VALID_INVOICE

    static final int ERR_R_NO_VALID_INVOICE
    See Also:
      Constant Field Values

  - ### ERR_R_POS_TERM_CANCELED

    static final int ERR_R_POS_TERM_CANCELED
    See Also:
      Constant Field Values

  - ### ERR_R_POS_TERM_APPROVED

    static final int ERR_R_POS_TERM_APPROVED
    See Also:
      Constant Field Values

  - ### ERR_R_POS_TERM_NOT_APPROVED

    static final int ERR_R_POS_TERM_NOT_APPROVED
    See Also:
      Constant Field Values

  - ### ERR_R_POS_TERM_CONN_ERR

    static final int ERR_R_POS_TERM_CONN_ERR
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_QTY_PRC_TOO_LOW

    static final int ERR_R_PLU_QTY_PRC_TOO_LOW
    See Also:
      Constant Field Values

  - ### ERR_R_VALUE_TOO_BIG

    static final int ERR_R_VALUE_TOO_BIG
    See Also:
      Constant Field Values

  - ### ERR_R_VALUE_BAD

    static final int ERR_R_VALUE_BAD
    See Also:
      Constant Field Values

  - ### ERR_R_PRICE_TOO_BIG

    static final int ERR_R_PRICE_TOO_BIG
    See Also:
      Constant Field Values

  - ### ERR_R_PRICE_BAD

    static final int ERR_R_PRICE_BAD
    See Also:
      Constant Field Values

  - ### ERR_R_ALL_VOID_SELECTED

    static final int ERR_R_ALL_VOID_SELECTED
    See Also:
      Constant Field Values

  - ### ERR_R_ONLY_ALL_VOID_IS_POSSIBLE

    static final int ERR_R_ONLY_ALL_VOID_IS_POSSIBLE
    See Also:
      Constant Field Values

  - ### ERR_R_REST_NOFREESPC_SELLS

    static final int ERR_R_REST_NOFREESPC_SELLS
    See Also:
      Constant Field Values

  - ### ERR_R_REST_NOFREESPCFORNEWACNT

    static final int ERR_R_REST_NOFREESPCFORNEWACNT
    See Also:
      Constant Field Values

  - ### ERR_R_REST_ACCOUNT_IS_OPENED

    static final int ERR_R_REST_ACCOUNT_IS_OPENED
    See Also:
      Constant Field Values

  - ### ERR_R_REST_WRONG_INDEX

    static final int ERR_R_REST_WRONG_INDEX
    See Also:
      Constant Field Values

  - ### ERR_R_REST_ACNT_IS_NOTFOUND

    static final int ERR_R_REST_ACNT_IS_NOTFOUND
    See Also:
      Constant Field Values

  - ### ERR_R_REST_NOT_PERMITTED

    static final int ERR_R_REST_NOT_PERMITTED
    See Also:
      Constant Field Values

  - ### ERR_R_OPEN_NONFISCALBON

    static final int ERR_R_OPEN_NONFISCALBON
    See Also:
      Constant Field Values

  - ### ERR_R_OPEN_FISCALBON

    static final int ERR_R_OPEN_FISCALBON
    See Also:
      Constant Field Values

  - ### ERR_R_BUYERS_TIN_IS_ENTERED

    static final int ERR_R_BUYERS_TIN_IS_ENTERED
    See Also:
      Constant Field Values

  - ### ERR_R_BUYERS_TIN_IS_NOT_ENTERED

    static final int ERR_R_BUYERS_TIN_IS_NOT_ENTERED
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_NOT_STARTED

    static final int ERR_R_PAY_NOT_STARTED
    See Also:
      Constant Field Values

  - ### ERR_R_BON_TYPE_MISMATCH

    static final int ERR_R_BON_TYPE_MISMATCH
    See Also:
      Constant Field Values

  - ### ERR_R_REACH_BON_TL_LIMIT

    static final int ERR_R_REACH_BON_TL_LIMIT
    See Also:
      Constant Field Values

  - ### ERR_R_CASH_NO_MULT_MIN_COIN

    static final int ERR_R_CASH_NO_MULT_MIN_COIN
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_BIG_AMOUNT

    static final int ERR_R_PAY_BIG_AMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_VOUCHER_NEED_INPUT_SUM

    static final int ERR_R_PAY_VOUCHER_NEED_INPUT_SUM
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_VOUCHER_NEED_SURCHARGE

    static final int ERR_R_PAY_VOUCHER_NEED_SURCHARGE
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_FOREIGN_DISABLED

    static final int ERR_R_PAY_FOREIGN_DISABLED
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_FOREIGN_IMPOSSIBLE

    static final int ERR_R_PAY_FOREIGN_IMPOSSIBLE
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_FOREIGN_SMALL_AMOUNT

    static final int ERR_R_PAY_FOREIGN_SMALL_AMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_SAFE_OPEN_DISABLED

    static final int ERR_R_SAFE_OPEN_DISABLED
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_FORBIDDEN

    static final int ERR_R_PAY_FORBIDDEN
    See Also:
      Constant Field Values

  - ### ERR_R_PERC_KEY_FORBIDDEN

    static final int ERR_R_PERC_KEY_FORBIDDEN
    See Also:
      Constant Field Values

  - ### ERR_R_AMOUNT_BIGGER_BILLAMOUNT

    static final int ERR_R_AMOUNT_BIGGER_BILLAMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_AMOUNT_SMALLER_BILLAMOUNT

    static final int ERR_R_AMOUNT_SMALLER_BILLAMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_ZERO_BILLAMOUNT

    static final int ERR_R_ZERO_BILLAMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_ALL_VOID_EXECUTED

    static final int ERR_R_ALL_VOID_EXECUTED
    See Also:
      Constant Field Values

  - ### ERR_R_OPEN_STORNOBON

    static final int ERR_R_OPEN_STORNOBON
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_ZERO_AMOUNT

    static final int ERR_R_PAY_ZERO_AMOUNT
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_PRICETYPE_RANGE

    static final int ERR_R_PLU_PRICETYPE_RANGE
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_PRICETYPE_LINKED

    static final int ERR_R_PLU_PRICETYPE_LINKED
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_PRICETYPE_NEGATIVE

    static final int ERR_R_PLU_PRICETYPE_NEGATIVE
    See Also:
      Constant Field Values

  - ### ERR_R_MORE_THAN_ONE_VAT

    static final int ERR_R_MORE_THAN_ONE_VAT
    See Also:
      Constant Field Values

  - ### ERR_R_PINPAD

    static final int ERR_R_PINPAD
    See Also:
      Constant Field Values

  - ### ERR_R_WRONG_BUYERS_DATA

    static final int ERR_R_WRONG_BUYERS_DATA
    See Also:
      Constant Field Values

  - ### ERR_R_VAT_SYSTEM_DISABLE

    static final int ERR_R_VAT_SYSTEM_DISABLE
    See Also:
      Constant Field Values

  - ### ERR_R_OPER_NOT_LOGGED_IN

    static final int ERR_R_OPER_NOT_LOGGED_IN
    See Also:
      Constant Field Values

  - ### ERR_R_OUT_OF_STOCK

    static final int ERR_R_OUT_OF_STOCK
    See Also:
      Constant Field Values

  - ### ERR_R_STL_NEEDED

    static final int ERR_R_STL_NEEDED
    See Also:
      Constant Field Values

  - ### ERR_R_PACK_NOTEXIST

    static final int ERR_R_PACK_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_UNIT_NOTEXIST

    static final int ERR_R_PLU_UNIT_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_CATEGORY_NOTEXIST

    static final int ERR_R_PLU_CATEGORY_NOTEXIST
    See Also:
      Constant Field Values

  - ### ERR_R_DEP_WRONG_NAME

    static final int ERR_R_DEP_WRONG_NAME
    See Also:
      Constant Field Values

  - ### ERR_R_BANK_TERM_NOT_CONFIGURED

    static final int ERR_R_BANK_TERM_NOT_CONFIGURED
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_OVER_MAX_PRC

    static final int ERR_R_PLU_OVER_MAX_PRC
    See Also:
      Constant Field Values

  - ### ERR_R_PLU_FIX_PRC

    static final int ERR_R_PLU_FIX_PRC
    See Also:
      Constant Field Values

  - ### ERR_R_SIGN_AGENT_INCORECT

    static final int ERR_R_SIGN_AGENT_INCORECT
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_VOUCHER_RESTO

    static final int ERR_R_PAY_VOUCHER_RESTO
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_ADVANCE_BIG

    static final int ERR_R_PAY_ADVANCE_BIG
    See Also:
      Constant Field Values

  - ### ERR_R_PAY_STORNO_RESTO

    static final int ERR_R_PAY_STORNO_RESTO
    See Also:
      Constant Field Values

  - ### ERR_R_NOT_EXCISE_PLU_WITH_EXCISE_STAMP

    static final int ERR_R_NOT_EXCISE_PLU_WITH_EXCISE_STAMP
    See Also:
      Constant Field Values

  - ### ERR_R_EXCISE_PLU_WITHOUT_EXCISE_STAMP

    static final int ERR_R_EXCISE_PLU_WITHOUT_EXCISE_STAMP
    See Also:
      Constant Field Values

  - ### ERR_R_EXCISE_PLU_FORBIDDEN

    static final int ERR_R_EXCISE_PLU_FORBIDDEN
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NONE

    static final int ERR_PINPAD_NONE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_GENERAL

    static final int ERR_PINPAD_GENERAL
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_COMMAND

    static final int ERR_PINPAD_INVALID_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_PARAM

    static final int ERR_PINPAD_INVALID_PARAM
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_ADDRESS

    static final int ERR_PINPAD_INVALID_ADDRESS
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_VALUE

    static final int ERR_PINPAD_INVALID_VALUE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_LENGTH

    static final int ERR_PINPAD_INVALID_LENGTH
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_PERMIT

    static final int ERR_PINPAD_NOT_PERMIT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NO_DATA

    static final int ERR_PINPAD_NO_DATA
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_TIMEOUT

    static final int ERR_PINPAD_TIMEOUT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_KEY_NUMBER

    static final int ERR_PINPAD_INVALID_KEY_NUMBER
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_KEY_ATTRIBUTES

    static final int ERR_PINPAD_INVALID_KEY_ATTRIBUTES
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_DEVICE

    static final int ERR_PINPAD_INVALID_DEVICE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_SUPPORT

    static final int ERR_PINPAD_NOT_SUPPORT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_PIN_LIMIT

    static final int ERR_PINPAD_PIN_LIMIT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_FLASH

    static final int ERR_PINPAD_FLASH
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_HARDWARE

    static final int ERR_PINPAD_HARDWARE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_CRC

    static final int ERR_PINPAD_INVALID_CRC
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_CANCEL

    static final int ERR_PINPAD_CANCEL
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_SIGNATURE

    static final int ERR_PINPAD_INVALID_SIGNATURE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_HEADER

    static final int ERR_PINPAD_INVALID_HEADER
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_PASSWORD

    static final int ERR_PINPAD_INVALID_PASSWORD
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_KEY_FORMAT

    static final int ERR_PINPAD_INVALID_KEY_FORMAT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_SCR

    static final int ERR_PINPAD_SCR
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_HAL

    static final int ERR_PINPAD_HAL
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_KEY

    static final int ERR_PINPAD_INVALID_KEY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NO_PIN_DATA

    static final int ERR_PINPAD_NO_PIN_DATA
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_REMINDER

    static final int ERR_PINPAD_INVALID_REMINDER
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_INIT

    static final int ERR_PINPAD_NOT_INIT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_LIMIT

    static final int ERR_PINPAD_LIMIT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_SEQUENCE

    static final int ERR_PINPAD_INVALID_SEQUENCE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NO_PERMITION

    static final int ERR_PINPAD_NO_PERMITION
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NO_TMK

    static final int ERR_PINPAD_NO_TMK
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_KEK

    static final int ERR_PINPAD_INVALID_KEK
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_DUPLICATE_KEY

    static final int ERR_PINPAD_DUPLICATE_KEY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_KEYBOARD

    static final int ERR_PINPAD_KEYBOARD
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_KEYBOARD_NOT_CALIBRATED

    static final int ERR_PINPAD_KEYBOARD_NOT_CALIBRATED
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_KEYBOARD_FAILED

    static final int ERR_PINPAD_KEYBOARD_FAILED
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_DEVICE_BUSY

    static final int ERR_PINPAD_DEVICE_BUSY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_TAMPERED

    static final int ERR_PINPAD_TAMPERED
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_EMSR

    static final int ERR_PINPAD_EMSR
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_ACCEPT

    static final int ERR_PINPAD_ACCEPT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_PAN

    static final int ERR_PINPAD_INVALID_PAN
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_ENOUGH_MEMORY

    static final int ERR_PINPAD_NOT_ENOUGH_MEMORY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_EMV

    static final int ERR_PINPAD_EMV
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_CRYPTOGRAPHY

    static final int ERR_PINPAD_CRYPTOGRAPHY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_COMMUNICATION

    static final int ERR_PINPAD_COMMUNICATION
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INVALID_VERSION

    static final int ERR_PINPAD_INVALID_VERSION
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOPAPER

    static final int ERR_PINPAD_NOPAPER
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_OVERHEATED

    static final int ERR_PINPAD_OVERHEATED
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_CONNECTED

    static final int ERR_PINPAD_NOT_CONNECTED
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_USE_CHIP

    static final int ERR_PINPAD_USE_CHIP
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_END_DAY

    static final int ERR_PINPAD_END_DAY
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_BOR_ERR

    static final int ERR_PINPAD_BOR_ERR
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NO_CONN

    static final int ERR_PINPAD_NO_CONN
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_ECR

    static final int ERR_PINPAD_ECR
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_CONF

    static final int ERR_PINPAD_NOT_CONF
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_SAME_TRANS

    static final int ERR_PINPAD_SAME_TRANS
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_RECEIPT

    static final int ERR_PINPAD_RECEIPT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_FP_TRANS

    static final int ERR_PINPAD_FP_TRANS
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_NOT_CONF_TYPE

    static final int ERR_PINPAD_NOT_CONF_TYPE
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_INV_AMOUNT

    static final int ERR_PINPAD_INV_AMOUNT
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_TRN_NOT_FOUND

    static final int ERR_PINPAD_TRN_NOT_FOUND
    See Also:
      Constant Field Values

  - ### ERR_PINPAD_FILE_EMPTY

    static final int ERR_PINPAD_FILE_EMPTY
    See Also:
      Constant Field Values

  - ### ERR_SCALE_NOT_RESPOND

    static final int ERR_SCALE_NOT_RESPOND
    See Also:
      Constant Field Values

  - ### ERR_SCALE_NOT_CALCULATED

    static final int ERR_SCALE_NOT_CALCULATED
    See Also:
      Constant Field Values

  - ### ERR_SCALE_WRONG_RESPONSE

    static final int ERR_SCALE_WRONG_RESPONSE
    See Also:
      Constant Field Values

  - ### ERR_SCALE_ZERO_WEIGHT

    static final int ERR_SCALE_ZERO_WEIGHT
    See Also:
      Constant Field Values

  - ### ERR_SCALE_NEGATIVE_WEIGHT

    static final int ERR_SCALE_NEGATIVE_WEIGHT
    See Also:
      Constant Field Values

  - ### ERR_SCALE_T_WRONG_INTF

    static final int ERR_SCALE_T_WRONG_INTF
    See Also:
      Constant Field Values

  - ### ERR_SCALE_T_CONNECT

    static final int ERR_SCALE_T_CONNECT
    See Also:
      Constant Field Values

  - ### ERR_SCALE_SEND

    static final int ERR_SCALE_SEND
    See Also:
      Constant Field Values

  - ### ERR_SCALE_RECEIVE

    static final int ERR_SCALE_RECEIVE
    See Also:
      Constant Field Values

  - ### ERR_SCALE_FILE_GENERATE

    static final int ERR_SCALE_FILE_GENERATE
    See Also:
      Constant Field Values

  - ### ERR_SCALE_NOT_CONFIG

    static final int ERR_SCALE_NOT_CONFIG
    See Also:
      Constant Field Values

  - ### ERR_NTP_NO_COMM

    static final int ERR_NTP_NO_COMM
    See Also:
      Constant Field Values

  - ### ERR_NTP_EARLIER_DATETIME

    static final int ERR_NTP_EARLIER_DATETIME
    See Also:
      Constant Field Values

  - ### ERR_NTP_WRONG_IP

    static final int ERR_NTP_WRONG_IP
    See Also:
      Constant Field Values

  - ### ERR_FP_INVALID_COMMAND

    static final int ERR_FP_INVALID_COMMAND
    See Also:
      Constant Field Values

  - ### ERR_FP_INVALID_SYNTAX

    static final int ERR_FP_INVALID_SYNTAX
    See Also:
      Constant Field Values

  - ### ERR_FP_COMMAND_NOT_PERMITTED

    static final int ERR_FP_COMMAND_NOT_PERMITTED
    See Also:
      Constant Field Values

  - ### ERR_FP_OVERFLOW

    static final int ERR_FP_OVERFLOW
    See Also:
      Constant Field Values

  - ### ERR_FP_WRONG_DATE_TIME

    static final int ERR_FP_WRONG_DATE_TIME
    See Also:
      Constant Field Values

  - ### ERR_FP_NEEDED_MODE_PC

    static final int ERR_FP_NEEDED_MODE_PC
    See Also:
      Constant Field Values

  - ### ERR_FP_NO_PAPER

    static final int ERR_FP_NO_PAPER
    See Also:
      Constant Field Values

  - ### ERR_FP_COVER_IS_OPEN

    static final int ERR_FP_COVER_IS_OPEN
    See Also:
      Constant Field Values

  - ### ERR_FP_PRINTER_FAILURE

    static final int ERR_FP_PRINTER_FAILURE
    See Also:
      Constant Field Values

  - ### _ERR_FP_SYNTAX_PARAM_BEGIN

    static final int _ERR_FP_SYNTAX_PARAM_BEGIN
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_1

    static final int ERR_FP_SYNTAX_PARAM_1
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_2

    static final int ERR_FP_SYNTAX_PARAM_2
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_3

    static final int ERR_FP_SYNTAX_PARAM_3
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_4

    static final int ERR_FP_SYNTAX_PARAM_4
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_5

    static final int ERR_FP_SYNTAX_PARAM_5
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_6

    static final int ERR_FP_SYNTAX_PARAM_6
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_7

    static final int ERR_FP_SYNTAX_PARAM_7
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_8

    static final int ERR_FP_SYNTAX_PARAM_8
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_9

    static final int ERR_FP_SYNTAX_PARAM_9
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_10

    static final int ERR_FP_SYNTAX_PARAM_10
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_11

    static final int ERR_FP_SYNTAX_PARAM_11
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_12

    static final int ERR_FP_SYNTAX_PARAM_12
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_13

    static final int ERR_FP_SYNTAX_PARAM_13
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_14

    static final int ERR_FP_SYNTAX_PARAM_14
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_15

    static final int ERR_FP_SYNTAX_PARAM_15
    See Also:
      Constant Field Values

  - ### ERR_FP_SYNTAX_PARAM_16

    static final int ERR_FP_SYNTAX_PARAM_16
    See Also:
      Constant Field Values

  - ### _ERR_FP_SYNTAX_PARAM_END

    static final int _ERR_FP_SYNTAX_PARAM_END
    See Also:
      Constant Field Values

  - ### _ERR_FP_BAD_PARAM_BEGIN

    static final int _ERR_FP_BAD_PARAM_BEGIN
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_1

    static final int ERR_FP_BAD_PARAM_1
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_2

    static final int ERR_FP_BAD_PARAM_2
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_3

    static final int ERR_FP_BAD_PARAM_3
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_4

    static final int ERR_FP_BAD_PARAM_4
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_5

    static final int ERR_FP_BAD_PARAM_5
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_6

    static final int ERR_FP_BAD_PARAM_6
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_7

    static final int ERR_FP_BAD_PARAM_7
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_8

    static final int ERR_FP_BAD_PARAM_8
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_9

    static final int ERR_FP_BAD_PARAM_9
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_10

    static final int ERR_FP_BAD_PARAM_10
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_11

    static final int ERR_FP_BAD_PARAM_11
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_12

    static final int ERR_FP_BAD_PARAM_12
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_13

    static final int ERR_FP_BAD_PARAM_13
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_14

    static final int ERR_FP_BAD_PARAM_14
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_15

    static final int ERR_FP_BAD_PARAM_15
    See Also:
      Constant Field Values

  - ### ERR_FP_BAD_PARAM_16

    static final int ERR_FP_BAD_PARAM_16
    See Also:
      Constant Field Values

  - ### _ERR_FP_BAD_PARAM_END

    static final int _ERR_FP_BAD_PARAM_END
    See Also:
      Constant Field Values

  - ### _ERR_RANGE_EM_BEGIN

    static final int _ERR_RANGE_EM_BEGIN
    See Also:
      Constant Field Values

  - ### _ERR_RANGE_EM_END

    static final int _ERR_RANGE_EM_END
    See Also:
      Constant Field Values

  - ### ERR_FLASH_WRONG_ID

    static final int ERR_FLASH_WRONG_ID
    See Also:
      Constant Field Values

  - ### ERR_FLASH_WRONG_SIZE

    static final int ERR_FLASH_WRONG_SIZE
    See Also:
      Constant Field Values

  - ### ERR_POS_TERM_CHAN_CLOSED

    static final int ERR_POS_TERM_CHAN_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_CM_WRONG_ID_NUMBERS

    static final int ERR_CM_WRONG_ID_NUMBERS
    See Also:
      Constant Field Values

  - ### ERR_CM_UNEXPECTED_RESPONSE

    static final int ERR_CM_UNEXPECTED_RESPONSE
    See Also:
      Constant Field Values

  - ### ERR_CM_DISCONNECTED

    static final int ERR_CM_DISCONNECTED
    See Also:
      Constant Field Values

  - ### ERR_CM_COM_ERROR

    static final int ERR_CM_COM_ERROR
    See Also:
      Constant Field Values

  - ### ERR_CM_COM_TIMEOUT

    static final int ERR_CM_COM_TIMEOUT
    See Also:
      Constant Field Values

  - ### _ERR_RANGE_CM_BEGIN

    static final int _ERR_RANGE_CM_BEGIN
    See Also:
      Constant Field Values

  - ### _ERR_RANGE_CM_END

    static final int _ERR_RANGE_CM_END
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_NO_SOCKET_OPENED

    static final int ERR_ECRSRV_NO_SOCKET_OPENED
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_SET_IS_NOT_TAKEN

    static final int ERR_ECRSRV_SET_IS_NOT_TAKEN
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_WRONG_PARAM

    static final int ERR_ECRSRV_WRONG_PARAM
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_NOT_SEND

    static final int ERR_ECRSRV_NOT_SEND
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_RECV_TMOUT

    static final int ERR_ECRSRV_RECV_TMOUT
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_SOCKET_CLOSED

    static final int ERR_ECRSRV_SOCKET_CLOSED
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_UNKNOWN

    static final int ERR_ECRSRV_UNKNOWN
    See Also:
      Constant Field Values

  - ### ERR_ECRSRV_FORBIDEN

    static final int ERR_ECRSRV_FORBIDEN
    See Also:
      Constant Field Values

  - ### ERR_USB_HOST_INIT

    static final int ERR_USB_HOST_INIT
    See Also:
      Constant Field Values

  - ### ERR_USB_NO_DEVICE

    static final int ERR_USB_NO_DEVICE
    See Also:
      Constant Field Values

  - ### ERR_USB_NO_FILESYSTEM

    static final int ERR_USB_NO_FILESYSTEM
    See Also:
      Constant Field Values

  - ### ERR_USB_FILE_OPEN

    static final int ERR_USB_FILE_OPEN
    See Also:
      Constant Field Values

  - ### ERR_USB_FILE_COPY

    static final int ERR_USB_FILE_COPY
    See Also:
      Constant Field Values

  - ### ERR_FILE_UNPACK

    static final int ERR_FILE_UNPACK
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_MAX_SELLERRORS

    static final int ERR_NAP_BLOCKED_MAX_SELLERRORS
    See Also:
      Constant Field Values

  - ### ERR_NAP_BLOCKED_24H

    static final int ERR_NAP_BLOCKED_24H
    See Also:
      Constant Field Values